Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007872TestLinkAPI - XMLRPCpublic2017-03-10 10:272017-03-14 06:31
Reporterhoulala7575 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0007872: Get All test execution by build
DescriptionCurrently testlink API allows to get the latest execution build.

It should be good to be able to get all the execution result (not just the latest) of one build.

Additional InformationI have made a small hack to acheive this by modifying directly the php and the function getLastExecutionResult

I have just ignore exec_id on the query ie

Before
          $targetID = intval(key($rs));
          $sql = "SELECT * FROM {$this->tables['executions']} WHERE id=" . $targetID;
          $resultInfo[0] = $this->dbObj->fetchFirstRow($sql);

After

$sql = "SELECT * FROM {$this->tables['executions']}";
$resultInfo = (array)$this->dbObj->get_recordset($sql);

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0007827closedfman Extend API to get ALL runs on a certain build - new function getExecutionResult 

-  Notes
(0026097)
fman (administrator)
2017-03-11 10:08

this kind of hacking is discouraging because name function is now misleading
Issue subject is far from clear, please provide a clear use case and requirements.

- Issue History
Date Modified Username Field Change
2017-03-10 10:27 houlala7575 New Issue
2017-03-11 10:08 fman Note Added: 0026097
2017-03-11 10:08 fman Status new => feedback
2017-03-14 06:31 fman Relationship added related to 0007827
2017-03-14 06:31 fman QA Team - Task Workflow Status => TBD
2017-03-14 06:31 fman Status feedback => closed
2017-03-14 06:31 fman Assigned To => fman
2017-03-14 06:31 fman Resolution open => fixed
2017-03-14 06:31 fman Fixed in Version => 1.9.17 (2018 Q1)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker